Bug 243978 - Review Request: cjet - Converts PCL data to Canon CaPSL III printer language
Summary: Review Request: cjet - Converts PCL data to Canon CaPSL III printer language
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords: HardwareEnablement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 06:35 UTC by Lubomir Kundrak
Modified: 2016-08-14 16:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 11:18:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-06-13 06:35:33 UTC
Spec URL: http://people.redhat.com/lkundrak/SPECS/cjet.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/cjet-0.8.9-1.src.rpm
Description: Converts PCL data to Canon CaPSL III printer language

This is a filter to convert PCL data such as produced by ghostscript to
the printer language of Canon CaPSL III printers.  It is meant to be used
by the PostScript Description files of the drivers from the foomatic package.

Note: This package is a part of the ongoing effort to extend hardware
support by fixing the foomatic drivers that actually refer to external filters.

Comment 1 Lubomir Kundrak 2007-06-20 20:35:22 UTC
New Package CVS Request
=======================
Package Name: cjet
Short Description: Converts PCL data to Canon CaPSL III printer language
Owners: lkundrak@redhat.com
Branches: FC-6 F-7

Comment 2 Josh Boyer 2007-06-20 20:52:57 UTC
this hasn't been properly reviewed yet

Comment 3 Marek Mahut 2007-06-29 20:34:35 UTC
+ source files match upstream:
        d80e83d47b79b03028a00b72ac27e3de  /usr/src/redhat/SOURCES/cjet089.tgz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license field matches the actual license.
+ license is open source-compatible. 
+ latest version is being packaged.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
  [root@storm cjet]# rpm -qp --provides
/usr/src/redhat/RPMS/i386/cjet-0.8.9-1.fc8.i386.rpm 
  cjet = 0.8.9-1.fc8
  [root@storm cjet]# rpm -qp --requires
/usr/src/redhat/RPMS/i386/cjet-0.8.9-1.fc8.i386.rpm
  libc.so.6  
  libc.so.6(GLIBC_2.0)  
  libc.so.6(GLIBC_2.1.3)  
  libc.so.6(GLIBC_2.3)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rtld(GNU_HASH)  
  [root@storm cjet]# 
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.


APPROVED

Comment 4 Lubomir Kundrak 2007-07-04 11:16:11 UTC
Thanks to Marek, Josh and Warren. The package was imported into CVS.


Note You need to log in before you can comment on or make changes to this bug.